org.apache.lucene.search

## Class MatchAllDocsQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.MatchAllDocsQuery

All Implemented Interfaces:
  Cloneable

    public class MatchAllDocsQuery
    extends Query

A query that matches all documents.

### Constructor Summary

Constructors
Constructor and Description
`MatchAllDocsQuery()`

### Method Summary

Methods
`Weight` `createWeight(IndexSearcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(Object o)`
`void` `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
`int` `hashCode()`
`String` `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

### Methods inherited from class org.apache.lucene.search.Query

`clone, getBoost, rewrite, setBoost, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MatchAllDocsQuery

    public MatchAllDocsQuery()

### Method Detail

#### createWeight

    public Weight createWeight(IndexSearcher searcher)

Description copied from class: `Query`
Expert: Constructs an appropriate Weight implementation for this query.

Only implemented by primitive queries, which re-write to themselves.

Overrides:
  `createWeight` in class `Query`

#### extractTerms

    public void extractTerms(Set<Term> terms)

Description copied from class: `Query`
Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

Overrides:
  `extractTerms` in class `Query`

#### toString

    public String toString(String field)

Description copied from class: `Query`
Prints a query to a string, with `field` assumed to be the default field and omitted.

Specified by:
  `toString` in class `Query`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Query`